Bug 1217915 - p11-kit-proxy deadlock
Summary: p11-kit-proxy deadlock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: p11-kit
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1135932 PKCS11 1173559 1236526
TreeView+ depends on / blocked
 
Reported: 2015-05-02 21:29 UTC by David Woodhouse
Modified: 2015-07-13 19:18 UTC (History)
5 users (show)

Fixed In Version: p11-kit-0.23.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-13 19:18:25 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 90289 0 None None None Never

Description David Woodhouse 2015-05-02 21:29:30 UTC
p11-kit-proxy.so deadlocks if a child process calls C_Initialize() again after forking. Which is the behaviour that the PKCS#11 Users Guide recommends.

Comment 1 Nikos Mavrogiannopoulos 2015-06-24 08:21:02 UTC
A patch was sent upstream:
http://lists.freedesktop.org/archives/p11-glue/2015-June/date.html

Comment 2 Stef Walter 2015-06-29 12:30:35 UTC
Thanks Nikos. Patches merged upstream. David will do some testing ... then I'll do a point release.

Comment 3 Fedora Update System 2015-06-30 15:34:51 UTC
p11-kit-0.23.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/p11-kit-0.23.1-2.fc22

Comment 4 Fedora Update System 2015-07-02 17:08:12 UTC
Package p11-kit-0.23.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing p11-kit-0.23.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11023/p11-kit-0.23.1-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-07-13 19:18:25 UTC
p11-kit-0.23.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.